<?php 
defined('C5_EXECUTE') or die("Access Denied.");

/**
 * ab_countdown package for Concrete5
 * Copyright Copyright 2017-2018, Alex Borisov
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author Alex Borisov <linuxoidoz@gmail.com>
 * @package Concrete\Package\ab_countdown
 */

?>

<fieldset class="ab-countdown-form">

    <div class="form-group">
        <div id="block_note" class="alert alert-info" role="alert">
        <?php echo t('Select date and time to count down to'); ?>
        </div>
    </div>
    
    <div class="form-group">
        <?php
        echo $form->label('valid_until', t('Valid until'));
        echo $app->make('helper/form/date_time')->datetime('valid_until', $valid_until);
        ?>
    </div>
    
</fieldset>

<script type="text/javascript" charset="UTF-8">
$(function(){
    $('#ccm-form-submit-button').on('click', function(e){
        var valid_until = $.trim($('#valid_until_dt_pub').val());
        if (valid_until == '') {
            e.preventDefault();  // stop form from submitting
            e.stopPropagation(); // stop anything else from listening to our event and screwing things up
            ConcreteAlert.error({
                title: <?php echo json_encode(t('Date value error:')); ?>,
                message: <?php echo json_encode(t('Date cannot be empty')); ?>
            });
        }
    });
});
</script>
